#!/bin/bash
#title           :load_sim_tools.sh
#description     :Script to load simulation software on the Collaboratory Lab containers from the Object Storage at CSCS.
#author          :Athanasios Karmas
#date            :20210601   
#usage           :source ./load_sim_tools.sh
#==============================================================================

echo "Setting up environment..."

INSTALLATION_ROOT="test-build"
SPACKIFIED_ENV="ebrains-spack-builds"

cp -r /srv/$INSTALLATION_ROOT/spack/.spack ~
source /srv/$INSTALLATION_ROOT/spack/share/spack/setup-env.sh

cd /srv/$INSTALLATION_ROOT
spack repo add ebrains-spack-builds
spack env activate $SPACKIFIED_ENV

module use /srv/$INSTALLATION_ROOT/spack/share/spack/modules/linux-centos7-broadwell/
source /srv/$INSTALLATION_ROOT/spack/var/spack/environments/$SPACKIFIED_ENV/loads

echo "Everything ready!"
